#!/bin/sh

# This script performs the tasks necessary to install NCSSWiki, by creating the 
# necessary files and setting their permissions as necessary.  If you cannot 
# execute this script, then you will need to do the following things:
# 
# 1) Create two blank files inside the NCSSWiki install directory, preferrably
# named "unparsed.db", and "timestamps.db".  If they are NOT named as such, then
# you will need to update config.py to reflect this.  The files will need to be 
# writable by the web server.
# 
# 2) Set all '.cgi' files as world-readable and world-executable, and all .py files
# as world-readable.


touch unparsed.db
touch timestamps.db
chmod a+rw *.db
chmod a+rx *.cgi
chmod a+r *.py
