#!/usr/bin/env python
'''
** This file consitutes part of NCSSWiki
 * Version 2.0 (beta release 2)
 * (c) 2006 Chris Neugebauer -- http://noogz.net -- chris@noogz.net
 * and contributors from the 2006 National Computer Science School
 *
 * NCSSWiki is the legal property of Christopher Neugebauer and contributors,
 * and is free software; you can redistribute it and/or modify it under the 
 * terms of the GNU General Public License as published by the Free Software 
 * Foundation; either version 2 of the License, or (at your option) any later 
 * version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * or visit http://www.gnu.org/licenses/gpl.html
 *'''
import sys

import wiki_getdb
import cgi
import cgitb
import config
from makepage import makepage
conf = config.py
cgitb.enable()

fields = cgi.FieldStorage()

if not fields.has_key("article"):
	print "Location: index.cgi\n\n"

article		 = fields["article"].value.replace("<","&lt;").replace(">","&gt;").strip()
timestamp	   = wiki_getdb.get_timestamp(article)
article_text	= wiki_getdb.get_html(article)
if article_text == 0:
	print 'Location: edit.cgi?article='+article

# internally redirect stderr to stdout.
sys.stderr = sys.stdout

output = '''<big><a href="edit.cgi?article='''+article+'''">[Edit this article]</a></big>
<p>
'''+article_text+'''
</p><a href="edit.cgi?article='''+article+'''">[Edit this article]</a><br />
<strong>Last Edited:</strong> '''+timestamp

makepage(article,output)