# config.py
# Holds configuration info for NCSS wiki
'''
** This file consitutes part of NCSSWiki
 * Version 2.0 (beta release 2)
 * (c) 2006 Chris Neugebauer -- http://noogz.net -- chris@noogz.net
 * and contributors from the 2006 National Computer Science School
 *
 * NCSSWiki is the legal property of Christopher Neugebauer and contributors,
 * and is free software; you can redistribute it and/or modify it under the 
 * terms of the GNU General Public License as published by the Free Software 
 * Foundation; either version 2 of the License, or (at your option) any later 
 * version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * or visit http://www.gnu.org/licenses/gpl.html
 *'''
py = {}

# Database File Names -- Change them if you so desire
# however, each filename must be unique
#All file names much exist and be writable by the web server.
py["unparsed"]		= "unparsed.db"		#WikiCode database
py["timestamps"]	= "timestamps.db"	#Timestamps database

py["template"]		= "template.html"	#Source of template for the wiki
py["links"]		= file("linkbar.html").read() #links for the link bar


# Stuff that should be changed straight away!
py["wiki_name"]		= "NCSSWiki"
py["copyright"]		= '''<p>This wiki is powered by 
<a href="http://noogz.net/programming/ncsswiki">NCSS Wiki</a>, &copy;2006 Chris 
Neugebauer and Contributors.</p>'''		#Copyright message.
py["deletepw"]		= "DELETE"		#Article Deletion Password.
						#SHOULD BE CHANGED IMMEDIATELY\

py["valid_links"]	= "RGB(0,0,255)"	#Colour for valid internal link
py["invalid_links"]	= "RGB(255,0,0)"	#Colour for invalid internal link
