#!/usr/bin/env python
'''
** This file consitutes part of NCSSWiki
 * Version 2.0 (beta release 2)
 * (c) 2006 Chris Neugebauer -- http://noogz.net -- chris@noogz.net
 * and contributors from the 2006 National Computer Science School
 *
 * NCSSWiki is the legal property of Christopher Neugebauer and contributors,
 * and is free software; you can redistribute it and/or modify it under the 
 * terms of the GNU General Public License as published by the Free Software 
 * Foundation; either version 2 of the License, or (at your option) any later 
 * version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * or visit http://www.gnu.org/licenses/gpl.html
 *'''


import wiki_getdb
import config
from makepage import makepage
conf = config.py
article_list = [x.replace("<","&lt;").replace(">","&gt;") for 
	x in wiki_getdb.get_articles()]
list.sort(article_list)

name = "Main Page"

out = '''<h2>Article List</h2>
<table>
    <tr>
        <th width=70%>Article Title</th>
        <th>Last Edited</th>
    </tr>
'''

for i in article_list:
    ## Print all articles, in nice order

    out += '''
    <tr>
        <td>'''
    
    out += "<li><a href=\"article.cgi?article="+i.replace(" ","+")+"\">"+i+"</a>"

    out += '''
        </li></td>
        <td>'''+wiki_getdb.get_timestamp(i)+'''</td>
    </tr>'''


out += '''</table>
<h3>Add New/Edit Existing Article</h3>
<form action="edit.cgi">
<p>Article Name: <input type="text" name="article">
<input type="submit" value="Go There"></p>
</form>

'''

makepage(name,out)